KernPair
Date: 2017-05-25

org.apache.fontbox.afm

## Class KernPair

- java.lang.Object
- - org.apache.fontbox.afm.KernPair

-     public class KernPair
      extends java.lang.Object

  This represents some kern pair data.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KernPair()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFirstKernCharacter()` Getter for property firstKernCharacter.
    `java.lang.String` | `getSecondKernCharacter()` Getter for property secondKernCharacter.
    `float` | `getX()` Getter for property x.
    `float` | `getY()` Getter for property y.
    `void` | `setFirstKernCharacter(java.lang.String firstKernCharacterValue)` Setter for property firstKernCharacter.
    `void` | `setSecondKernCharacter(java.lang.String secondKernCharacterValue)` Setter for property secondKernCharacter.
    `void` | `setX(float xValue)` Setter for property x.
    `void` | `setY(float yValue)` Setter for property y.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KernPair

          public KernPair()

  - ### Method Detail

    - #### getFirstKernCharacter

          public java.lang.String getFirstKernCharacter()

      Getter for property firstKernCharacter.
      Returns:
        Value of property firstKernCharacter.

    - #### setFirstKernCharacter

          public void setFirstKernCharacter(java.lang.String firstKernCharacterValue)

      Setter for property firstKernCharacter.
      Parameters:
        `firstKernCharacterValue` - New value of property firstKernCharacter.

    - #### getSecondKernCharacter

          public java.lang.String getSecondKernCharacter()

      Getter for property secondKernCharacter.
      Returns:
        Value of property secondKernCharacter.

    - #### setSecondKernCharacter

          public void setSecondKernCharacter(java.lang.String secondKernCharacterValue)

      Setter for property secondKernCharacter.
      Parameters:
        `secondKernCharacterValue` - New value of property secondKernCharacter.

    - #### getX

          public float getX()

      Getter for property x.
      Returns:
        Value of property x.

    - #### setX

          public void setX(float xValue)

      Setter for property x.
      Parameters:
        `xValue` - New value of property x.

    - #### getY

          public float getY()

      Getter for property y.
      Returns:
        Value of property y.

    - #### setY

          public void setY(float yValue)

      Setter for property y.
      Parameters:
        `yValue` - New value of property y.